# Generated by rust2rpm
%bcond_without check

%global crate fd-find

Name:           rust-%{crate}
Version:        6.3.0
Release:        1%{?dist}
Summary:        Simple, fast and user-friendly alternative to find

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/fd-find
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump ansi_term to 0.10, ignore to 0.4: https://github.com/sharkdp/fd/pull/173
# * No windows
Patch0:         fd-find-6.3.0-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(ansi_term) >= 0.10.0 with crate(ansi_term) < 0.11.0)
BuildRequires:  (crate(atty) >= 0.2.0 with crate(atty) < 0.3.0)
BuildRequires:  ((crate(clap) >= 2.26.0 with crate(clap) < 3.0.0) with crate(clap/suggestions) with crate(clap/color) with crate(clap/wrap_help))
BuildRequires:  (crate(ctrlc) >= 3.0.0 with crate(ctrlc) < 4.0.0)
BuildRequires:  (crate(ignore) >= 0.4.0 with crate(ignore) < 0.5.0)
BuildRequires:  (crate(lazy_static) >= 1.0.0 with crate(lazy_static) < 2.0.0)
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
BuildRequires:  (crate(num_cpus) >= 1.6.2 with crate(num_cpus) < 2.0.0)
BuildRequires:  (crate(regex) >= 0.2.0 with crate(regex) < 0.3.0)
BuildRequires:  (crate(regex-syntax) >= 0.4.0 with crate(regex-syntax) < 0.5.0)
# [build-dependencies]
BuildRequires:  (crate(clap) >= 2.26.0 with crate(clap) < 3.0.0)
BuildRequires:  (crate(version_check) >= 0.1.3 with crate(version_check) < 0.2.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(diff) >= 0.1.0 with crate(diff) < 0.2.0)
BuildRequires:  (crate(tempdir) >= 0.3.0 with crate(tempdir) < 0.4.0)
%endif

%description
%{summary}.

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate}
%{summary}.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install
%{__install} -Dpm0644 -t %{buildroot}%{_mandir}/man1 doc/fd.1
%{__install} -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  target/release/build/%{crate}-*/out/fd.bash
%{__install} -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_functions.d \
  target/release/build/%{crate}-*/out/fd.fish
%{__install} -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  target/release/build/%{crate}-*/out/_fd

%if %{with check}
%check
%cargo_test
%endif

%files       -n %{crate}
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{_bindir}/fd
%{_mandir}/man1/fd.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/fd.bash
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_functions.d
%{_datadir}/fish/vendor_functions.d/fd.fish
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_fd

%changelog
* Mon Feb 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.3.0-1
- Update to 6.3.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-4
- Rebuild for clap 2.29.2 (zsh completion fixes)

* Wed Jan 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-3
- Rebuild for clap 2.29.1

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-2
- Rebuild for rust-packaging v5

* Thu Jan 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-1
- Update to 6.2.0

* Wed Dec 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.0-1
- Update to 6.1.0

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-5
- Bump lazy_static to 1

* Tue Nov 28 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-4
- Rebuild for clap 2.28.0

* Thu Nov 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-3
- Fix bash completion

* Thu Nov 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-2
- Package completions

* Mon Nov 20 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-1
- Initial package
